Subject: [Ietf-calsify] Section 4.8.3.1 Time Zone Identifier: Scope of TZID

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Sun Nov 5 14:32:41 2006

In section 4.8.3.1 Time Zone Identifier of RFC 2445 it says:

 > Purpose: This property specifies the text value that uniquely
 > identifies the "VTIMEZONE" calendar component.

This section should specify the "scope" in which a TZID MUST be
unique when the "TZID" property value does not start with a
SOLIDUS character.

I believe the "TZID" MUST be unique in the scope of an iCalendar
object, but not in the context of an iCalendar stream...

Cheers,
Bernard

---

From: cyrus at daboo.name (Cyrus Daboo)
Date: Mon Nov 6 07:14:34 2006

Hi Bernard,

> object, but not in the context of an iCalendar stream...

Right - inside of a BEGIN/END VCALENDAR, TZID must be unqiue, but it does 
not need to be unique across all BEGIN/END VCALENDAR's in a stream. I guess 
we need to add text for this now that we are using 'object' and 'stream' 
terminology.

-- 
Cyrus Daboo